Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I am trying to build an application I am making into launchpad for my PPA, and, while it builds the DEB just fine locally, it fails in launchpad.

The build log complains that Project ERROR: Package x11 not found while I totally build-depend on libx11-dev, and a package named x11 does not exist!

Here's the PPA : https://launchpad.net/~hakermania/+archive/macropolo/+packages

The buildlog (i386): https://launchpadlibrarian.net/115106043/buildlog_ubuntu-precise-i386.macropolo_0.3-0ubuntu1_FAILEDTOBUILD.txt.gz

Can you please solve this mystery?

share|improve this question
add comment

1 Answer 1

up vote 4 down vote accepted

Apparantly your program uses pkg-config in order to find compiler flags for the X11 library. However, you do not have that package added to your build dependencies, resulting in:

sh: 1: pkg-config: not found

Solution: add pkg-config to your Build-Depends.

share|improve this answer
    
Thanks. I've built quite a lot of packages in launchpad and this is the 1st time that I need to include pkg-config into the Build-Depends field. Can you please explain why? –  hakermania Sep 19 '12 at 14:15
    
Developers can choose to use pkg-config to determine whether a package is available. An alternative is checking whether a package compiles (assuming standard header and library directories). Read more about pkg-config in its manual page. –  Lekensteyn Sep 19 '12 at 14:47
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.